/*
	ソフトパッドによるAndroidゲーム画面スクロールテスト

	2012-08-06 創作プログラミングの街
*/
package jp.programmingmat.www.atfskscroll;

import android.app.Activity;
import android.content.res.Configuration;
import android.os.Bundle;
import android.widget.*;
import android.graphics.BitmapFactory;

public class appActivity extends Activity {

	private SoftPad _pad = null;
	private appView _view = null;
	private LinearLayout _layout = null;

	@Override
	public void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);

		_pad = new SoftPad(this);

		_view = new appView(this, _pad);

		// マップチップ画像を設定
		_view.setChipBitmap(BitmapFactory.decodeResource(getResources(), R.drawable.chip_40), 40, 40);

		_layout = new LinearLayout(this);

		// 画面設定に応じてレイアウトの配置方向を設定
		if(getResources().getConfiguration().orientation == Configuration.ORIENTATION_LANDSCAPE) {
			_layout.setOrientation(LinearLayout.HORIZONTAL);
		} else {
			_layout.setOrientation(LinearLayout.VERTICAL);
		}

		// レイアウトの配置方式を中央寄せに設定
		_layout.setGravity(android.view.Gravity.CENTER);

		setContentView(_layout);

		_layout.addView(_view, 400, 400);
		_layout.addView(_pad, 120, 120);

	}

}
